System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.CodeAccessPermission System.Security.Permissions.IUnrestrictedPermission To be added

Enables a .NET Framework data provider to help ensure that a user has a security level adequate for accessing data.

- Constructor
  To be added

  Initializes a new instance of a DBDataPermission class.

  1.0.5000.0
  2.0.0.0
  System.Obsolete("use DBDataPermission (PermissionState.None)", true)
- Constructor
  1.0.5000.0
  2.0.0.0
  To be added.

  Initializes a new instance of a DBDataPermission class using an existing DBDataPermission.

  An existing DBDataPermission used to create a new DBDataPermission.
- Constructor
  1.0.5000.0
  2.0.0.0
  To be added.

  Initializes a new instance of a DBDataPermission class with the specified DBDataPermissionAttribute.

  A security action associated with a custom security attribute.
- Constructor
  To be added

  Initializes a new instance of a DBDataPermission class with the specified value.

  One of the values.
  1.0.5000.0
  2.0.0.0
- Constructor

  The enumeration takes precedence over the property. Therefore, if you set to false, you must also set to None to prevent a user from making a connection using a blank password.

  Initializes a new instance of a DBDataPermission class with the specified value, and a value indicating whether a blank password is allowed.

  One of the values.
  Indicates whether a blank password is allowed.
  1.0.5000.0
  2.0.0.0
  System.Obsolete("use DBDataPermission (PermissionState.None)", true)
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` `` ``

  This method can be useful when implementing:

  A .NET framework data provider.

  An API that must assert for data access permission.

  An administrative tool or installation program that must modify security policy.

  When more than one rule is specified, the more restrictive rule is selected.

  Adds access for the specified connection string to the existing state of the DBDataPermission.

  A permitted connection string. String that identifies connection string parameters that are allowed or disallowed. One of the properties.
- Property
  System.Boolean To be added: an object of type 'bool'

  The enumeration takes precedence over the property. Therefore, if you set to false, you must also set to None to prevent a user from making a connection using a blank password.

  Gets a value indicating whether a blank password is allowed.

  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void To be added.

  Removes all permissions that were previous added using the method.

- Method
  System.Security.IPermission

  A copy of a permission object represents the same access to resources as the original permission object.

  Creates and returns an identical copy of the current permission object.

  A copy of the current permission object.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.Common.DBDataPermission To be added

  Creates a new instance of the DBDataPermission class.

  A new DBDataPermission object.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  Custom code that extends security objects needs to implement the ToXml and FromXml methods to make the objects security encodable.

  Reconstructs a security object with a specified state from an XML encoding.

  The XML encoding to use to reconstruct the security object. 1.0.5000.0 2.0.0.0
- Method
  System.Security.IPermission ``

  The intersection of two permissions is a permission that describes the set of operations they both describe. Only a demand that passes both original permissions will pass the intersection.

  Returns a new permission object representing the intersection of the current permission object and the specified permission object.

  A new permission object that represents the intersection of the current permission object and the specified permission object. This new permission object is a null reference (Nothing in Visual Basic) if the intersection is empty.

  A permission object to intersect with the current permission object. It must be of the same type as the current permission object. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean ``

  The current permission object is a subset of the specified permission object if the current permission object specifies a set of operations that is wholly contained by the specified permission object. For example, a permission that represents access to C:\example.txt is a subset of a permission that represents access to C:\. If this method returns true, the current permission object represents no more access to the protected resource than does the specified permission object.

  Returns a value indicating whether the current permission object is a subset of the specified permission object.

  true if the current permission object is a subset of the specified permission object, otherwise false.

  A permission object that is to be tested for the subset relationship. This object must be of the same type as the current permission object. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean To be added

  Returns a value indicating whether the permission can be represented as unrestricted without any knowledge of the permission semantics.

  true if the permission can be represented as unrestricted.

  1.0.5000.0
  2.0.0.0
- Method
  System.Security.SecurityElement

  Custom code that extends security objects must implement the and methods to make the objects security encodable.

  Creates an XML encoding of the security object and its current state.

  An XML encoding of the security object, including any state information.

  1.0.5000.0
  2.0.0.0
- Method
  System.Security.IPermission ``

  The result of a call to is a permission that represents all the operations permitted by both the current permission object and the specified permission object. Any demand that passes either permission passes their union.

  Returns a new permission object that is the union of the current and specified permission objects.

  A new permission object that represents the union of the current permission object and the specified permission object.

  A permission object to combine with the current permission object. It must be of the same type as the current permission object. 1.0.5000.0 2.0.0.0